---

stages:
  - linting
  - test

variables:
  # if using a collection, you should change this path
  ANSIBLE_LINT_PATH: '.'

ansible:
  stage: linting
  image:
    name: registry.gitlab.com/pipeline-components/ansible-lint:0.24.0
  script:
    # we may need to install the collection first when on "collection case"
    - >
      ansible-galaxy collection install
      -p .cache/collections git+file://$PWD/.git || true
    - >
      ansible-lint -vvv $ANSIBLE_LINT_PATH ;
      ansible-lint -f codeclimate $ANSIBLE_LINT_PATH > report.json
  rules:
    - if: '$ANSIBLE_CHECK_DISABLED || $JOBS_DISABLED'
      when: never
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - when: on_success
  artifacts:
    reports:
      codequality: report.json
